(* $Id: godi_update.mli 949 2011-08-22 15:03:18Z gerd $
 * ----------------------------------------------------------------------
 * Copyright 2003 by Gerd Stolpmann.
 *
 * This file is part of godi-tools.
 *
 * godi-tools is free software; you can redistribute it and/or modify it
 * under the conditions in the file LICENSE.
 *
 * godi-tools is distributed WITHOUT ANY WARRANTY, as detailed in the
 * file LICENSE.
 *)

open Godi_types
open Godi_exec

(* Note: All the following functions prefer User_error exceptions anyway. *)

val update_buildfiles : console -> Godi_profile.profile -> StrSet.t 
  (* Update build files:
     - download newer versions so far permitted by the profile
     - however, the build files are not extracted

     The function returns the set of package names for which a new buildfile
     was downloaded (and that might need extraction).
   *)

val extract_buildfiles : ?names:StrSet.t ->
                         console -> Godi_profile.profile -> unit
  (* Extract the buildfiles but do not update (i.e. switch to this
     profile)

     If [names] is passed, only these buildfiles are extracted.
     Otherwise all buildfiles for the profile are extracted.
   *)

